<?php
session_start();
include "verifica.php";

@$xnombres=$_REQUEST['xnombres'];
@$xabreviatura=$_REQUEST['xabreviatura'];
@$xaccion=$_REQUEST['xaccion'];
@$xid=$_REQUEST['xid'];
@$xestado=$_REQUEST['xestado'];
@$xtipo=$_REQUEST['xtipo'];
@$xusuario_sesion=$_SESSION['nombre_usuario'];

include "../conexion.php";

$tipmovcaj = new Tiposmovimientocaja;

switch($xaccion){
	
	case "adicionar": 
		if($tipmovcaj->adicionar($conexion)==1){
			//echo "adicionar";
			?>			
			<script language="javascript">
			alert("Tipo de movimiento de caja creado satisfactoriamente.")
			parent.location.href="../tiposmovimientocaja.php";
			</script>			
			<?php
			
		}		
		break;
		
	case "modificar": 
		if($tipmovcaj->modificar($conexion)==1){
			//echo "modificar";
			?>			
			<script language="javascript">
			alert("Tipo de movimiento de caja modificado satisfactoriamente.")
			parent.location.href="../tiposmovimientocaja.php";
			</script>			
			<?php

		}		
		break;
	
	case "eliminar":
		if($tipmovcaj->eliminar($conexion)==1){
			//echo "eliminar";
			?>			
			<script language="javascript">
			alert("Tipo de movimiento de caja eliminado satisfactoriamente.")
			parent.location.href="../tiposmovimientocaja.php";
			</script>			
			<?php
			
		}		
		break;

	case "activar":
		if($tipmovcaj->activar($conexion)==1){
			?>			
			<script language="javascript">
			
			</script>			
			<?php
			
		}		
		break;


}

class Tiposmovimientocaja{

	//Adiciona nueva familia
	function adicionar($conexion){
		global $xnombres, $xabreviatura, $xaccion, $xid, $xtipo, $xusuario_sesion;		

		$r = mysqli_query($conexion,"insert into operacion_caja_tipo (opecajtip_nombre, 
												  opecajtip_abreviatura,
												  opecajtip_tipo,
												  opecajtip_usu_crea)
										values ('$xnombres', 
												'$xabreviatura',
												'$xtipo',
												'$xusuario_sesion');");
		
		if($r){		
			return 1;
		}	
				
	}	

	//Modifica una familia
	function modificar($conexion){
		global $xnombres, $xabreviatura, $xaccion, $xid, $xtipo, $xusuario_sesion;		

		$r = mysqli_query($conexion,"update operacion_caja_tipo set opecajtip_nombre = '$xnombres', 
												  opecajtip_abreviatura = '$xabreviatura',
												  opecajtip_tipo = '$xtipo',
												  opecajtip_usu_modifica = '$xusuario_sesion'
										where opecajtip_codi = $xid;");
		
		if($r){		
			return 1;
		}	
	
	}	
	

	//Elimina una familia
	function eliminar($conexion){
		global $xnombres, $xabreviatura, $xaccion, $xid;		

		$r = mysqli_query($conexion,"delete from operacion_caja_tipo where opecajtip_codi = $xid;");
		
		if($r){		
			return 1;
		}	
	}		


	//Activa una familia
	function activar($conexion){
		global $xestado, $xaccion, $xid, $xusuario_sesion;		

		$r = mysqli_query($conexion,"update operacion_caja_tipo set opecajtip_estado = '$xestado',
																	opecajtip_usu_activa = '$xusuario_sesion' 
															where opecajtip_codi = $xid;");
		
		if($r){		
			return 1;
		}	
	
	}	


}


?>
